//
// Created by dominik on 8/12/24.
//

#include "random.h"


RandomJump::RandomJump(const double delta, const double eta, std::mt19937_64 &rng) : Motion(delta, eta, rng) {}

RandomJump::RandomJump(std::mt19937_64 &rng) : Motion(rng) {}

void RandomJump::initialize() {}

double RandomJump::jump() {
    const auto [cos_theta, phi] = draw_position();
    return omega_q(cos_theta, phi);
}
