//
// Created by dominik on 8/12/24.
//
#include "base.h"

Distribution::Distribution(const double tau, std::mt19937_64 &rng) : m_tau(tau), m_rng(rng) {}

Distribution::Distribution(std::mt19937_64 &rng) : m_rng(rng) {}

double Distribution::tau_wait() const {
    return std::exponential_distribution(1./m_tau)(m_rng);
}

